Class Operation
java.lang.Object
io.vertx.reactivex.openapi.contract.Operation
- All Implemented Interfaces:
io.vertx.lang.rx.RxDelegate
This interface represents the most important attributes of an OpenAPI Operation.
Operation V3.1
Operation V3.0
Operation V3.1
Operation V3.0
NOTE: This class has been automatically generated from the original non RX-ified interface using Vert.x codegen.
-
Field Summary
Fields -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionbooleangetResponse(int responseCode) Returns the response to the passed response code or null.Returns the applicable list of security requirements (scopes) or empty list.getTags()inthashCode()static OperationnewInstance(Operation arg) toString()
-
Field Details
-
__TYPE_ARG
-
-
Constructor Details
-
Operation
-
Operation
-
-
Method Details
-
toString
-
equals
-
hashCode
-
getDelegate
- Specified by:
getDelegatein interfaceio.vertx.lang.rx.RxDelegate
-
getOperationId
- Returns:
- operationId of this operation
-
getHttpMethod
- Returns:
- http method of this operation
-
getOpenAPIPath
- Returns:
- path in OpenAPI style
-
getAbsoluteOpenAPIPath
- Returns:
- absolute path in OpenAPI style
-
getTags
-
getParameters
-
getRequestBody
- Returns:
- request body of the operation, or null if no request body is defined
-
getDefaultResponse
- Returns:
- the default response, or null if no default response is defined.
-
getResponse
Returns the response to the passed response code or null.- Parameters:
responseCode- The related response code- Returns:
- The related response, or null.
-
getSecurityRequirements
Returns the applicable list of security requirements (scopes) or empty list.- Returns:
- The related security requirement.
-
newInstance
-